Description

Hi all,

I've just posted this problem on gis.stackexchange here , after having a similar problem here .

In brief: in QGis master, csv files (and polygons e.g. voronoi built off them?) disappear when styles other than 'single symbol' are

selected. Also (diagnostically?) a blank-named column field is present at the end of the list of candidate columns upon which to base the

style. In DuFour, neither of these problems are present (please see above links for pictures which explain this better; pictures also

attached here).

QGis master Cheers.

Simon

History

#1 - 2014-01-22 12:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Browser to Symbology

I cannot confirm the issue (with both a CSV point layer and the derived vorony polygons) in QGIS master. Please attach sample data.

The "blank" column it is because now you can do categorized symbology using expression, anyway by choosing this blank attribute, then not using any

expression and then and clicking "ok" is harmeless as the symbology remains the same (single symbol).

#2 - 2014-01-22 12:36 PM - Simon Dedman

- File CelticCropNoNANoNegsSample.csv added

- File CelticSampleVoronoi.shp added

Sample data attached.

Interesting about the blank column - thanks for the info, I assumed it was connected to this issue!

#3 - 2014-01-22 12:49 PM - Giovanni Manghi

Assuming that you are using the column "Average.Depth" to create the categorized symbology, then the "." in the column name is the culprit.
https://gis.stackexchange.com/questions/83522/graduated-colouring-voronoi-polygons-qgis
https://gis.stackexchange.com/questions/72284/why-are-some-values-missing-from-the-imported-csv


On qgis master/linux when using that column and the categorized symbology, then the classes are created but not applied.

If you edit the CSV and change the column name (Ex: "AD"), then all works as expected.

I'm not sure if dots are allowed in column names, if yes then it could be a qgis issue. If not then qgis should reject such layers.

#4 - 2014-10-11 07:52 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

it works as expected (even with the "." in the column name) on qgis master.

Files

csv_graduated_bug.png 169 KB 2014-01-21 Simon Dedman

csv_graduated_bug2.png 158 KB 2014-01-21 Simon Dedman

bug1.png 184 KB 2014-01-21 Simon Dedman

bug2.png 167 KB 2014-01-21 Simon Dedman

2.0.1_works.png 183 KB 2014-01-21 Simon Dedman

CelticSampleVoronoi.shp 1.17 MB 2014-01-22 Simon Dedman

CelticCropNoNANoNegsSample.csv 257 KB 2014-01-22 Simon Dedman
